I don't know if I'm stupid or just dumb but I can't get this to work. I'm trying to plot an EPS file of modelspace limits so I can then pass it through ghostscript, making pdf files. However, when I run this code it doesn't change any of the modelspace layout properties. Code: Public Function PlotToEPS(OutputFile As String) As Boolean Dim Layout As AcadLayout Dim Plot As AcadPlot Dim orig(0 To 1) As Double orig(0) = 0 orig(1) = 0 For Each Layout In ThisDrawing.Layouts If LCase(Layout.Name) = "model" Then With Layout .ConfigName = "PostScript.pc3" .CanonicalMediaName = "ANSI_B_(17.00_x_11.00_Inches)" .PaperUnits = acInches .PlotType = acLimits .StandardScale = acScaleToFit .PlotOrigin = orig .StyleSheet = "Ricoh.ctb" .PlotHidden = True .UseStandardScale = True .PlotRotation = ac90degrees .CenterPlot = True End With Set Plot = ThisDrawing.Plot Plot.PlotToFile OutputFile, "PostScript.pc3" Set Plot = Nothing PlotToEPS = True Else: PlotToEPS = False End If Next End Function Note: I use the "For Each Layout In ThisDrawing.Layouts" in case I never need to make this work with paperspace. ~Tim Riley